i2p.susi.webmail

## Class WebMail

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - i2p.susi.webmail.WebMail

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class WebMail
    extends HttpServlet

Author:
  susi23
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`(package private) class` `WebMail.DateSorter` sorts Mail objects by date field
`(package private) class` `WebMail.IDSorter` sorts Mail objects by id field
`(package private) class` `WebMail.SenderSorter` sorts Mail objects by sender field
`(package private) class` `WebMail.SessionObject` data structure to hold any persistent data (to store them in session dictionary)
`(package private) class` `WebMail.SizeSorter` sorts Mail objects by message size
`(package private) class` `WebMail.SubjectSorter` sorts Mail objects by subject field

### Constructor Summary

Constructors
Constructor and Description
`WebMail()`

### Method Summary

Methods
`void` `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` `doPost(HttpServletRequest request, HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebMail

    public WebMail()

### Method Detail

#### doGet

    public void doGet(HttpServletRequest request,
             HttpServletResponse response)
               throws IOException,
                      ServletException

Overrides:
  `doGet` in class `HttpServlet`
Throws:
  `IOException`
  `ServletException`

#### doPost

    public void doPost(HttpServletRequest request,
              HttpServletResponse response)
                throws IOException,
                       ServletException

Overrides:
  `doPost` in class `HttpServlet`
Throws:
  `IOException`
  `ServletException`